#include "OSVersionInfo.h"


int OSVersionInfo::getInfo()
{
	// LbVĂ牽Ȃ
	if (cacheLevel <= 0) {
		info.dwOSVersionInfoSize   = sizeof(OSVERSIONINFO);
		infoEx.dwOSVersionInfoSize = sizeof(OSVERSIONINFOEX);

		if (GetVersionEx(&info)) {
			cacheLevel = 1;

			if (GetVersionEx((OSVERSIONINFO *)(&infoEx))) {
				cacheLevel = 2;
			}
		}
	}

	return cacheLevel;
}


eTPOSVersion TPGetSimpleOSInfo(OSVERSIONINFO * info)
{
	eTPOSVersion rv = OS_UNKNOWN;

	const DWORD major = info->dwMajorVersion;
	const DWORD minor = info->dwMinorVersion;
	const DWORD build = info->dwBuildNumber;
	const char * const vertext = info->szCSDVersion;
//printf("Version %d.%d.%d %s\n", major, minor, build, vertext);

	// NTn
	if (info->dwPlatformId == VER_PLATFORM_WIN32_NT) {
		switch (major) {
		case 3: rv = OS_WINDOWS_NT3x; break;
		case 4: rv = OS_WINDOWS_NT4;  break;
		case 5:
			switch (minor) {
			case 0: rv = OS_WINDOWS_2000;  break;
			case 1: rv = OS_WINDOWS_XP;  break;
			case 2: rv = OS_WINDOWS_SERVER_2003; break;
			default: ;
			};
			break;
		default: ;
		}
	// 9xn
	} else if (info->dwPlatformId == VER_PLATFORM_WIN32_WINDOWS) {
		if (minor >= 90) { rv = OS_WINDOWS_ME; }
		else if (minor >= 10) { rv = (stricmp(vertext, " A") == 0) ? OS_WINDOWS_98_SE : OS_WINDOWS_98; }
		else if (build >= 1214 && (stricmp(vertext, " C") == 0)) { rv = OS_WINDOWS_95_OSR25; }
		else if (build >= 1212 && (stricmp(vertext, " B") == 0)) { rv = OS_WINDOWS_95_OSR21; }
		else if (build >= 1111 && (stricmp(vertext, " B") == 0)) { rv = OS_WINDOWS_95_OSR20; }
		else if (build >=  950 && (stricmp(vertext, " A") == 0)) { rv = OS_WINDOWS_95_OSR10; }
		else if (build >=  950) { rv = (stricmp(vertext, " A") == 0) ? OS_WINDOWS_95_OSR10 : OS_WINDOWS_95; }
	}

	return rv;
}


