#ifndef _TVP_PLUGIN_OS_VERSION_H_
#define _TVP_PLUGIN_OS_VERSION_H_

#include <windows.h>

// QlF
// http://yokohama.cool.ne.jp/chokuto/advanced/version.html

enum eTPOSVersion
{
	OS_UNKNOWN,
	OS_WINDOWS_95,
	OS_WINDOWS_95_OSR10,
	OS_WINDOWS_95_OSR20,
	OS_WINDOWS_95_OSR21,
	OS_WINDOWS_95_OSR25,
	OS_WINDOWS_98,
	OS_WINDOWS_98_SE,
	OS_WINDOWS_ME,
	OS_WINDOWS_NT3x,
	OS_WINDOWS_NT4,
	OS_WINDOWS_2000,
	OS_WINDOWS_XP,
	OS_WINDOWS_SERVER_2003
};


enum eTPProcessFlag {
	TP_PROCESS_BASIC   = 0x0001,	// {vZX
	TP_PROCESS_MODULE  = 0x0002,	// W[̏擾܂B
	TP_PROCESS_MEMORY  = 0x0004,	// ̏擾܂B
	TP_PROCESS_TIME    = 0x0008,	// vZX̎sԏ擾܂B
	TP_PROCESS_TOKEN   = 0x0010,	// vZX̃ANZXg[N擾܂B
	TP_PROCESS_IO      = 0x0020,	// vZXI/O擾܂B
//	TP_PROCESS_ALL_MODULES = 0x0010,	// SẴW[擾܂B
	TP_PROCESS_TIMEZONE = 0x1000,	// ^C][擾܂iG[tOpjB
	TP_PROCESS_PROCESS = 0x2000,	// vZX擾܂iG[tOpjB
	TP_PROCESS_NONE    = 0x0000 	// ȂiG[tOpjB
};



// OSo[W
struct OSVersionInfo
{
public:
	OSVERSIONINFO   info;
	OSVERSIONINFOEX infoEx;

	/*
	 0: LbV
	 1: OSVERSIONINFO
	 2: OSVERSIONINFOEX
	*/
	int cacheLevel;

	OSVersionInfo()
	{
		cacheLevel = 0;
		this->getInfo();
	}

	virtual int getInfo();

};


eTPOSVersion TPGetSimpleOSInfo(OSVERSIONINFO * info);


#endif _TVP_PLUGIN_OS_VERSION_H_
