#ifndef _TVP_PLUGIN_MESSAGE_H_
#define _TVP_PLUGIN_MESSAGE_H_

#include "TJSEMessageStr.h"


#ifdef TVP_PLUGIN_NAME
# define TPM_MESSAGE_HEADER  (TJS_W("TVP Plugin(") TVP_PLUGIN_NAME ("): "))
#else
# define TPM_MESSAGE_HEADER  TJS_W("TVP Plugin: ")
#endif


// generic
#define TPM_E_INVALID_DUMP_MODE    TJS_W("ȃINebgϊ[hw肳܂B")
#define TPM_E_NOT_IMPL_FUNC        TJS_W("̃IuWFNgɂ%1֐Ă܂B")
#define TPM_E_RIPEMD160_CTX_INIT_FAIL TJS_W("RIPEMD160ReLXg̏Ɏs܂B")
#define TPM_E_UNSUPPORTED_OS       TJS_W("OSi%1jł̓T|[gĂ܂B")

#define TPM_E_PROCESS_INFO_FAIL    TJS_W("vZX擾ł܂łB\n%1")
#define TPM_E_PR_MODULE_INFO_FAIL  TJS_W("vZX̃W[擾ł܂łB\n%1")
#define TPM_E_PR_MEMORY_INFO_FAIL  TJS_W("vZX̃擾ł܂łB\n%1")
#define TPM_E_PR_TIME_INFO_FAIL    TJS_W("vZX̎ԏ擾ł܂łB\n%1")
#define TPM_E_PR_TOKEN_OPEN_FAIL   TJS_W("vZX̃ANZXg[NI[vł܂łB\n%1")
#define TPM_E_PR_TOKEN_INFO_FAIL   TJS_W("vZX̃ANZXg[N擾ł܂łB\n%1")
#define TPM_E_PR_ACCOUNT_USER_FAIL TJS_W("vZXs[ŨAJEg擾ł܂łB\n%1")
#define TPM_E_PR_IO_INFO_FAIL      TJS_W("vZXI/O擾ł܂łB\n%1")
#define TPM_E_PR_TIME_ZONE_FAIL    TJS_W("^C][擾ł܂łB\n%1")

#define TPM_E_MESSAGEBOX_FAIL      TJS_W("bZ[W{bNX̕\Ɏs܂B\n%1")
#define TPM_E_GET_PARENT_MENU_FAIL TJS_W("ej[̎擾Ɏs܂B\n%1")
#define TPM_E_GET_CHILD_MENU_FAIL  TJS_W("qj[̎擾Ɏs܂B\n%1")
#define TPM_E_POPUPMENU_FAIL       TJS_W("|bvAbvj[̕\Ɏs܂B\n%1")
#define TPM_E_CONVERT_COORD_FAIL   TJS_W("WϊɎs܂B\n%1")



// 摜n
#define TPM_E_UNSUPPORTED_FACE       TJS_W("ΉĂȂ`惂[hłB")
#define TPM_E_GRAD_ARRAY_TOO_SHORT   TJS_W("Fz̗vf܂iwF%1 KvF%2jB")
#define TPM_E_CALLBACK_NOT_SPECIFIED TJS_W("R[obN֐w肵ĂB")
#define TPM_E_INVALID_CURVE_TYPE     TJS_W("pgbNȐ̌^łB")
#define TPM_E_CTRL_POINTS_TOO_SHORT  TJS_W("_܂iwF%1 KvF%2jB")
#define TPM_E_CTRL_POINTS_TOO_MANY   TJS_W("_܂iwF%1 ő吔F%2jB")
#define TPM_E_INVALID_MORPH_RATIO    TJS_W("is͈͊OłB")
#define TPM_E_DIFFERENT_IMAGE_SIZE   TJS_W("C̃C[WTCY͑SēłȂ΂Ȃ܂B")
#define TPM_E_OUT_OF_RECT            TJS_W("`͂ݏo_܂܂Ă܂B")
#define TPM_E_SRC1_OUT_OF_RECT       TJS_W("ό`O̍WQɋ`͂ݏo_܂܂Ă܂B")
#define TPM_E_SRC2_OUT_OF_RECT       TJS_W("ό`̍WQɋ`͂ݏo_܂܂Ă܂B")
#define TPM_E_INVALID_PAINT_TYPE     TJS_W("hԂ̈̔@łB")
#define TPM_E_INVALID_LAYER_REF_TYPE TJS_W("C[W̔r@łB")

// SQLite3
#define TPM_E_SQ3_VERSATILE          TJS_W("%1 :\n%2")
#define TPM_E_SQ3_CLOSED_CONNECTION  TJS_W("DBɐڑĂ܂B")
#define TPM_E_SQ3_CLOSED_CURSOR      TJS_W("J[\łB")
#define TPM_E_SQ3_CLOSED_STATEMENT   TJS_W("Xe[ggłB")
#define TPM_E_SQ3_UNSUPPORTED_TYPE   TJS_W("T|[gĂȂf[^^łB")

#define TPM_I_SQLITE_ORIGINAL    TJS_W("\nResultCode: %1\nMessage: %2")
// TODO: 
#define TPM_E_SQLITE_OK          TJS_W("łB") TPM_I_SQLITE_ORIGINAL
#define TPM_E_SQLITE_ERROR       TJS_W("SQLG[łB") TPM_I_SQLITE_ORIGINAL
#define TPM_E_SQLITE_INTERNAL     2   /* NOT USED. Internal logic error in SQLite */
#define TPM_E_SQLITE_PERM         3   /* Access permission denied */
#define TPM_E_SQLITE_ABORT        4   /* Callback routine requested an abort */
#define TPM_E_SQLITE_BUSY         5   /* The database file is locked */
#define TPM_E_SQLITE_LOCKED       6   /* A table in the database is locked */
#define TPM_E_SQLITE_NOMEM        7   /* A malloc() failed */
#define TPM_E_SQLITE_READONLY     8   /* Attempt to write a readonly database */
#define TPM_E_SQLITE_INTERRUPT    9   /* Operation terminated by sqlite3_interrupt()*/
#define TPM_E_SQLITE_IOERR       10   /* Some kind of disk I/O error occurred */
#define TPM_E_SQLITE_CORRUPT     11   /* The database disk image is malformed */
#define TPM_E_SQLITE_NOTFOUND    12   /* NOT USED. Table or record not found */
#define TPM_E_SQLITE_FULL        13   /* Insertion failed because database is full */
#define TPM_E_SQLITE_CANTOPEN    14   /* Unable to open the database file */
#define TPM_E_SQLITE_PROTOCOL    15   /* Database lock protocol error */
#define TPM_E_SQLITE_EMPTY       16   /* Database is empty */
#define TPM_E_SQLITE_SCHEMA      17   /* The database schema changed */
#define TPM_E_SQLITE_TOOBIG      18   /* NOT USED. Too much data for one row */
#define TPM_E_SQLITE_CONSTRAINT  19   /* Abort due to contraint violation */
#define TPM_E_SQLITE_MISMATCH    20   /* Data type mismatch */
#define TPM_E_SQLITE_MISUSE      21   /* Library used incorrectly */
#define TPM_E_SQLITE_NOLFS       22   /* Uses OS features not supported on host */
#define TPM_E_SQLITE_AUTH        23   /* Authorization denied */
#define TPM_E_SQLITE_FORMAT      24   /* Auxiliary database format error */
#define TPM_E_SQLITE_RANGE       TJS_W("oChϐ̃CfbNXsłB") TPM_I_SQLITE_ORIGINAL
#define TPM_E_SQLITE_NOTADB      26   /* File opened that is not a database file */
#define TPM_E_SQLITE_ROW         100  /* sqlite3_step() has another row ready */
#define TPM_E_SQLITE_DONE        101  /* sqlite3_step() has finished executing */


// iconv
#define TPM_E_ICONV_OPEN_FAIL  TJS_W("%1%2ɂ͕ϊł܂B")
#define TPM_E_ICONV_INVALID_MB TJS_W("͂ɕsSȃ}`oCg񂪂܂B")
#define TPM_E_ICONV_UNKNOWN    TJS_W("s̃G[܂Bierrno=%1j")
#define TPM_E_ICONV_PUNY_FAIL  TJS_W("PunycodeϊɎs܂B")

// oCiXg[
#define TPM_E_BS_INVALID      TJS_W("ȃXg[łB")
#define TPM_E_BS_OPEN_FAIL    TJS_W("I[vł܂B\nt@CF%1")
#define TPM_E_BS_CLOSED       TJS_W("I[vĂ܂B")
#define TPM_E_BS_READ_FAIL    TJS_W("ǂݍ݂Ɏs܂B\nt@CF%1")
#define TPM_E_BS_WRITE_FAIL   TJS_W("݂Ɏs܂B\nt@CF%1")
#define TPM_E_BS_SEEK_FAIL    TJS_W("V[NɎs܂B\nt@CF%1")
#define TPM_E_BS_WRITE_ONLY   TJS_W("ǂݍ߂܂BݐpXg[łB\nt@CF%1")
#define TPM_E_BS_READ_ONLY    TJS_W("߂܂BǂݍݐpXg[łB\nt@CF%1")





// gp
#define TPM_E_BS_READ_S_FALSE               TJS_W("ǂݍ݃G[łB")
#define TPM_E_BS_READ_E_PENDING             TJS_W("݂̃f[^͎gpł܂B")
#define TPM_E_BS_READ_STG_E_ACCESSDENIED    TJS_W("ǂݍ݋܂B")
#define TPM_E_BS_READ_STG_E_INVALIDPOINTER  TJS_W("|C^słBAoOłB")
#define TPM_E_BS_READ_STG_E_REVERTED        TJS_W("̃IuWFNg͖łigUNV̊߂߁jB")

#define TPM_E_BS_WRITE_E_PENDING            TJS_W("݂̃f[^͎gpł܂B")
#define TPM_E_BS_WRITE_STG_E_MEDIUMFULL     TJS_W("Xg[Wɋ󂫃Xy[X܂B")
#define TPM_E_BS_WRITE_STG_E_ACCESSDENIED   TJS_W("݋܂B")
#define TPM_E_BS_WRITE_STG_E_CANTSAVE       TJS_W("sȃANZXA󂫃Xy[XȂ߁A݂Ɏs܂B")
#define TPM_E_BS_WRITE_STG_E_INVALIDPOINTER TJS_W("|C^słBAoOłB")
#define TPM_E_BS_WRITE_STG_E_REVERTED       TJS_W("̃IuWFNg͖łigUNV̊߂߁jB")
#define TPM_E_BS_WRITE_STG_E_WRITEFAULT     TJS_W("fBXNG[łB")

#define TPM_E_BS_SEEK_STG_E_INVALIDPOINTER  TJS_W("|C^słBAoOłB")
#define TPM_E_BS_SEEK_STG_E_INVALIDFUNCTION TJS_W("sȈw肳܂B")
#define TPM_E_BS_SEEK_STG_E_REVERTED        TJS_W("̃IuWFNg͖łigUNV̊߂߁jB")


#endif
