#ifndef _TVP_PLUGIN_GRADATION_FUNC_H_
#define _TVP_PLUGIN_GRADATION_FUNC_H_

#include "TVPPlugIn.h"
#include "KRLayerIntf.h"

// Of[V
#define TP_GRAD_TYPE_GRADIENT_T2B  1
#define TP_GRAD_TYPE_GRADIENT_L2R  2
#define TP_GRAD_TYPE_GRADIENT_SPEC 3
#define TP_GRAD_TYPE_GRADIENT_QUAD 4
#define TP_GRAD_TYPE_GRADIENT_POINT_SPEC 4



// Of[V`
tjs_int TPFUNCCALL Layer_drawGradatedColorRectImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int w,
	tjs_int h,
	tjs_int type,
	tjs_real dir,
	tjs_uint32 * cols,
	tjs_int numCols,
	tjs_int opa);


// Of[V~
tjs_int TPFUNCCALL Layer_drawGradatedColorCircleImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_real r,
	tjs_uint32 * cols,
	tjs_int numCols,
	tjs_int opa);

// Of[Vȉ~
tjs_int TPFUNCCALL Layer_drawGradatedColorEllipseImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int ra,
	tjs_int rb,
	tjs_uint32 * cols,
	tjs_int numCols,
	tjs_int opa);


#endif _TVP_PLUGIN_GRADATION_FUNC_H_
