#ifndef _TVP_PLUGIN_JULIA_FUNC_H_
#define _TVP_PLUGIN_JULIA_FUNC_H_

//---------------------------------------------------------------------------
#include "TVPPlugIn.h"
#include "KRLayerIntf.h"
#include "LayerBufferImpl.h"
//---------------------------------------------------------------------------

#define FT_JULIA 1
#define FT_MANDELBROT 2


// WAWvZ
// I
bool CalcJuliaSet(
	// ^Cv
	tjs_int ftype,
	// fẄ
	tjs_real re_begin,
	tjs_real im_begin,
	tjs_real re_width,
	tjs_real im_width,
	// Zoʊi[z
	tjs_int * dest,
	// zTCY
	tjs_int array_width,
	tjs_int array_height,
	// f萔
	tjs_real re,
	tjs_real im,
	// ׂ搔i1ȏ̐j
	tjs_int pow = 2,
	// 臒lƃ[vE
	tjs_int iteration_limit = 255);



// tN^`
tjs_int DrawFractalImpl(
	iTJSDispatch2  * layer,	// `ΏۃC
	tTJSVariantClosure * func,	// J[R[hZo֐
	tjs_int * juliaset,	// J[R[hZoʊi[z
	tjs_int left, //	`݈ʒu
	tjs_int top, //	`݈ʒu
	tjs_int width, //	`݃TCY
	tjs_int height); //	`݃TCY


#endif  _TVP_PLUGIN_JULIA_FUNC_H_

