#ifndef _INTERFACE_SQLITE_H_
#define _INTERFACE_SQLITE_H_
//--------------------------------------------------------------
// 
//--------------------------------------------------------------


#include "SqlitePlus.h"
//#include <clocale>
#include <locale.h>
#include <stdio.h>

#define DEFAULT_OUT_STREAM stdout
#define DEFAULT_ERR_STREAM stderr

#define PRINT_EXCEPTION(e) fprintf(DEFAULT_ERR_STREAM, "%s : %s\n", e.what(), e.reason())


#define _TCR(_s) _T(_s) _T("\n")
#define SQ3M_I_USAGE \
	_TCR("isqlite.exe [-b] DBFile [SQL]")             \
	_TCR("[p[^]")                              \
	_TCR("\tDBFile : SQLite3f[^x[Xt@C")  \
	_TCR("\tSQL    : sSQL")                    \
	_TCR("[IvV]")                              \
	_TCR("\t-b     : ob`[hŋN܂B")     \
	_TCR("[]")                                                       \
	_TCR("\tSQLw肳ȂꍇA邢 '-' w肳ꂽꍇA") \
	_TCR("\tC^NeBu[hŋN܂B")                       \
	_TCR("\tC^NeBu[hł́A.help Ńwv\܂B") \
	_TCR("\tob`[hł̓vvgʂo͂܂B")

#define SQ3M_I_HELP \
	_TCR(".tables       : Se[u\܂B")     \
	_TCR(".views        : Sr[\܂B")       \
	_TCR(".indices      : SCfbNX\܂B") \
	_TCR(".indexes      : .indices ƓłB")          \
	_TCR(".ddl name     : w肳ꂽe[u܂̓r[DDL\܂B")    \
	_TCR(".columns name : w肳ꂽe[u܂̓r[̑S񖼂\܂B") \
	_TCR(".help         : ̃wv\܂B")   \
	_TCR("^Z [ENTER]    : I܂B")

#define SQ3M_I_HELP_SHORT \
	_T("\t^Z ŏI\n\t.help Ńwv")

#define SQ3M_I_PROMPT1 _T("SQL>")
#define SQ3M_I_PROMPT2 _T("...>")

#define SQ3M_I_SELECT  _TCR("%d sI܂B")
#define SQ3M_I_UPDATE  _TCR("%d sXV܂B")




//--------------------------------------------------------------
#endif  _INTERFACE_SQLITE_H_

