#ifndef _TVP_PLUGIN_FILTER_FUNC_H_
#define _TVP_PLUGIN_FILTER_FUNC_H_


#include "LayerBufferImpl.h"

// 3x3 grayscale filter kernel
#define  TP_FILTER_TYPE_GENERIC  1
#define  TP_FILTER_TYPE_GENERIC_AVG  2
#define  TP_FILTER_TYPE_EMBOSS_L2R 11
#define  TP_FILTER_TYPE_EMBOSS_R2L 12
#define  TP_FILTER_TYPE_EMBOSS_T2B 13
#define  TP_FILTER_TYPE_EMBOSS_B2T 14
#define  TP_FILTER_TYPE_EMBOSS_LT2RB 15
#define  TP_FILTER_TYPE_EMBOSS_LB2RT 16
#define  TP_FILTER_TYPE_EMBOSS_RT2LB 17
#define  TP_FILTER_TYPE_EMBOSS_RB2LT 18
#define  TP_FILTER_TYPE_LAPLACIAN_4DIR 21
#define  TP_FILTER_TYPE_LAPLACIAN_8DIR 22
#define  TP_FILTER_TYPE_PREWITT  23
#define  TP_FILTER_TYPE_SOBEL    24
#define  TP_FILTER_TYPE_ROBERT   25

// color filter kernel
#define  TP_FILTER_TYPE_MOSAIC  1001
#define  TP_FILTER_TYPE_MEDIAN  1002




// ėp3x3tB^
bool TPFUNCCALL Layer_grayFilter3x3Impl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int w,
	tjs_int h,
	tjs_int type,
	tjs_int gsmode,
	tjs_int * kernel);


// ėptB^
// 
bool TPFUNCCALL Layer_grayFilterImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int w,
	tjs_int h,
	tjs_int type,
	tjs_int size,
	tjs_int gsmode,
	tjs_int * kernel)
{
	return false;
}


// ėpJ[tB^
// 
bool TPFUNCCALL Layer_colorFilterImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int w,
	tjs_int h,
	tjs_int type,
	tjs_int size,
	tjs_int * kernel);


// CRC[[V
bool TPFUNCCALL Layer_equalizeImpl(
	LayerInfo * layer,
	tjs_int x,
	tjs_int y,
	tjs_int w,
	tjs_int h,
	tjs_int gsmode,
	bool withColor);


#endif _TVP_PLUGIN_FILTER_FUNC_H_

